//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.screwdriver.utilities;

/**
 * <p>
 * Creation date: 2020-04-09<br>
 * Last updated: 2020-04-09<br>
 * </p>
 * 
 * @author M.Maglioni */
public class ValidationMessageScrew {

	/** Creation date: 2020-04-09<br>
	 * Last updated: 2020-04-09<br>
	 * 
	 * @author M.Maglioni
	 * @param vl validation label
	 * @param message obvious */
	public ValidationMessageScrew(ValidationLabelScrew vl,
			final String message) {
		super();
		this.vl = vl;
		this.message = message.replaceAll("\\x27", "''");
	}

	/** the label + language of the message */
	public ValidationLabelScrew vl;
	/** corresponding message */
	public String message;

}
